# Package org.apache.ignite.cluster

Contains cluster-related classes.

See: Description

Interface Summary
BaselineNode: Interface representing a single node from baseline topology.
ClusterGroup: Defines a cluster group which contains all or a subset of cluster nodes.
ClusterMetrics: This class represents runtime information on a cluster.
ClusterNode: Interface representing a single cluster node.
ClusterStartNodeResult: Cluster start node result information.

Exception Summary
ClusterGroupEmptyException: This exception defines illegal call on empty cluster group.
ClusterTopologyException: This exception is used to indicate error with the cluster topology (e.g., crashed node, etc.).

## Package org.apache.ignite.cluster Description

Contains cluster-related classes.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018